## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# imesh/sprite2d.h File Reference

2D sprite (billboard) mesh object More...

`#include "csutil/scf.h"`
`#include "csutil/dirtyaccessarray.h"`
`#include "csutil/cscolor.h"`
`#include "csgeom/vector2.h"`

Go to the source code of this file.

## Classes

struct | csSprite2DVertex
| A single 2D Sprite vertex. More...
struct | iSprite2DFactoryState
| This interface describes the API for the sprite factory mesh object. More...
struct | iSprite2DState
| This interface describes the API for the sprite factory mesh object. More...
struct | iSprite2DUVAnimation
| The animation works by having all frames of an animation sequence in a texture at different (u,v) locations, hence the name. More...
struct | iSprite2DUVAnimationFrame
| This is a single frame in a UV animation. More...

## Typedefs

typedef csDirtyAccessArray< csSprite2DVertex > | csColoredVertices

## Detailed Description

2D sprite (billboard) mesh object

Definition in file sprite2d.h.